﻿using System.IO;
using System.Windows.Forms;
using Eplan.EplApi.ApplicationFramework;
using Eplan.EplApi.Base;
using Eplan.EplApi.Scripting;

public class Class
{
    [DeclareAction("Revisionsübersicht")]
    public void Function()
    {
        // Ablageort definieren
		
		string strProjectpath = PathMap.SubstitutePath("$(PROJECTPATH)" + @"\DOC\Revision\");
			
		// Ablageort Verzeichnis prüfen / erstellen

        if (Directory.Exists(strProjectpath))
        {
            // MessageBox.Show("Ordner schon vorhanden.");
        }
        else
        {
            Directory.CreateDirectory(strProjectpath);
            // MessageBox.Show("Ordner erstellt.");
        }
		
			
		string[] revision = new string[18];
			revision[0] = "A";
			revision[1] = "B";
			revision[2] = "C";
			revision[3] = "D";
			revision[4] = "E";
			revision[5] = "F";
			revision[6] = "G";
			revision[7] = "H";
			revision[8] = "I";
			revision[9] = "J";
			revision[10] = "K";
			revision[11] = "L";
			revision[12] = "M";
			revision[13] = "N";
			revision[14] = "O";
			revision[15] = "P";
			revision[16] = "Q";
			revision[17] = "R";
			
		
        Progress progress = new Progress("SimpleProgress");
        progress.BeginPart(100, "");
        progress.SetAllowCancel(true);
        
		foreach (string elements in revision)
		{
			if (!progress.Canceled())
			{
				progress.BeginPart(50, "Revisionsuebersicht wird erstellt...");
				ActionCallingContext labellingContext = new ActionCallingContext();
				labellingContext.AddParameter("CONFIGSCHEME", "CBAG Revisionsuebersicht");
				labellingContext.AddParameter("DESTINATIONFILE", strProjectpath + "$(PROJECTNAME)" + "_Revisisonsübersicht_"+elements+".txt");
				labellingContext.AddParameter("FILTERSCHEME", elements);
				labellingContext.AddParameter("LANGUAGE", "de_DE");
				labellingContext.AddParameter("LogMsgActionDone", "true");
				labellingContext.AddParameter("SHOWOUTPUT", "1");
				labellingContext.AddParameter("RECREPEAT", "1");
				labellingContext.AddParameter("SORTSCHEME", "Anlage");
				labellingContext.AddParameter("TASKREPEAT", "1");
				new CommandLineInterpreter().Execute("label", labellingContext);
				progress.EndPart();
			}
        }
			
        progress.EndPart(true);

				
		return;
    }
}



